# Admin Columns [![WordPress](https://img.shields.io/wordpress/plugin/tested/codepress-admin-columns.svg?style=flat-square)](https://wordpress.org/plugins/codepress-admin-columns/) [![WordPress](https://img.shields.io/wordpress/plugin/r/codepress-admin-columns.svg?style=flat-square)](https://wordpress.org/plugins/codepress-admin-columns/) [![WordPress](https://img.shields.io/wordpress/plugin/v/codepress-admin-columns.svg?style=flat-square)](https://wordpress.org/plugins/codepress-admin-columns/) [![WordPress](https://img.shields.io/wordpress/plugin/dt/codepress-admin-columns.svg?style=flat-square)](https://wordpress.org/plugins/codepress-admin-columns/) 

## Contributing to this project

Please take a moment to review this document in order to make the contribution process easy and effective for everyone involved.

Following these guidelines will help us get back to you more quickly, and will show that you care about making Admin Columns better just like we do. In return, we'll do our best to respond to your issue or pull request as soon as possible with the same respect.


## Use the issue tracker

The [issue tracker](https://github.com/codepress/admin-columns/issues) is the preferred channel for [bug reports](#bugs) and [features requests](#features), but please respect the following restrictions:

* Support issues or usage questions that are not bugs should be posted on the [Plugin Support Forum](http://wordpress.org/support/plugin/codepress-admin-columns).
* Please **do not** derail or troll issues. Keep the discussion on topic and respect the opinions of others.
* Make sure to read all the [labels below](#tracker-labels) to avoid confusion on status of each issue

<a name="tracker-labels"></a>
## Labels on issue tracker

There is an idea behind this naming convetion, and we will stick to it because it's faily important to keep thing tidy if we want to move forward fast and clean.

We will split the labels in two pieces, groups of labels and a label name, following the pattern below:

```html
<label-group>:<label-name>
```

Below you will find a list of fixed ones and it's explanations and what variables we might have:

#### Group: "Type"
* `type:addon`
* `type:bug`
* `type:enhancement`
* `type:feature`
* `type:invalid`
* `type:refactor`

#### Group: "Status"
* `status:feedback`
* `status:in_progress`
* `status:on_hold`
* `status:rejected`
* `status:wontfix`

<a name="bugs"></a>
## Bug reports

A bug is a _demonstrable problem_ that is caused by the code in the repository. Good bug reports with complete error messages, environment details and screenshots are extremely helpful &mdash; thank you!

Guidelines for bug reports:

1. **Use the [GitHub issue search](https://github.com/codepress/admin-columns/search?type=Issues)** or **[Admin Columns Forum](https://www.admincolumns.com/forums/)** &mdash; Someone might already know about it, so please check if the issue has already been reported.

2. **Isolate the problem** &mdash; The better you can determine exactly what behavior(s) cause the issue, the faster and more effectively it can be resolved. “I’m getting an error message.” is not a good bug report. A good bug report shouldn't leave others needing to contact you for more information.

Please try to be as detailed as possible in your report. What is your environment? What steps will reproduce the issue? What browser(s) experience the problem? What outcome did you expect, and how did it differ from what you actually saw? All these details will help people to fix any potential bugs.

Example:

> Short and descriptive example bug report title
>
> A summary of the issue and the environment/browser in which it occurs. If
> suitable, include the steps required to reproduce the bug.
>
> 1. This is the first step
> 2. This is the second step
> 3. Further steps, etc.
>
> Any other information you want to share that is relevant to the issue being reported. This might include the lines of code that you have identified as causing the bug, and potential solutions (and your opinions on their merits).

**Note:** In an effort to keep open issues to a manageable number, we will close any issues that do not provide enough information for us to be able to work on a solution. You will be encouraged to provide the necessary details, after which we will reopen the issue.

<a name="features"></a>
## Feature requests

Feature requests are very welcome! But take a moment to find out whether your idea fits with the scope and aims of the project. It's up to *you* to make a strong case to convince the project's developers of the merits of this feature. Please provide as much detail and context as possible.

Building something great means choosing features carefully especially because it is much, much easier to add features than it is to take them away. Additions to Admin Columns will be evaluated on a combination of scope (how well it fits into the project), maintenance burden and general usefulness to users.